
/*
if pick=1
-------WSAD mode--------
if pick=2
-------arrow mode-------

FIX
DO VSETKYCH KOLIZI S P1_stand DAJ AJ S TESTEROM
CAVE BACKGROUND IN LEVEL 4 (SIZE)

*/


// Project: Veronika Duchajova Sutaz-Grafika 
// Created: 2018-03-12

// show all errors
SetErrorMode(2)

// set window properties
SetWindowTitle( "Veronika Duchajova Sutaz-Grafika" )
SetWindowSize( 854, 480, 0 )
SetWindowAllowResize( 1 ) // allow the user to resize the window

// set display properties
SetVirtualResolution( 854, 480 ) // doesn't have to match the window
SetOrientationAllowed( 1, 1, 1, 1 ) // allow both portrait and landscape on mobile devices
SetScissor( 0,0,0,0 ) // use the maximum available screen space, no black borders
UseNewDefaultFonts( 1 ) // since version 2.0.22 we can use nicer default fonts

//fonts
font1=LoadFont("font1.ttf")
font2=loadfont("font2.ttf")
font3=loadfont("font3.ttf")
font4=loadfont("font4.ttf")
font5=loadfont("font5.ttf")

// including other files
#include "menu.agc"
#include "levelEditor.agc"
#include "prologue.agc"
//#include "collisions.agc"
//#include "counters.agc"

//globals
global start=0
global xp1
global yp1
global xp2
global yp2
global xp3
global yp3
global xf
global yf
global yyf
global xb
global yb
global xg
global yg
global xm
global ym
global font1
global font2
global font3
global font4
global font5
global exit_settings
global pick=1
global char
global movementspeed=5
global collision_left=0
global collision_right=0
global collison_up=0
global collision_down=0
global file
//global xo=0
//global yo=0
global xp=0
global yp=0
global jumpcounter=0
global tester
global xo=0
global yo=0
global xt
global yt
global stlpce=100
global riadky=30
dim playfield$[stlpce,riadky]
dim physics[stlpce,riadky]
global filename$=""
global editBox
global prologue1
global coins as float
global sprite
//global jmp
global next_level
/*global flagBlue
global flagGreen
global flagRed
global flagYellow
global spikes*/
global p1_stand
global lives as float
global img_id
global jump
global c_up
global level
global coin_txt
global hud_coins
global gameover
global bckmenu
global retry


setphysicsgravity(0,27000)
//SetPhysicsDebugOn()
//types
type stone1type
	x
	y
	sprite

endtype

type Grass1Type
	x
	y
	sprite

endtype

type gridType
	sprite
	x
	y
endtype

type bomb1Type
	sprite
	x
	y
endtype


//arraysetups
global stone as stone1type[max_stone1]
#constant max_stone1=10


global grass as Grass1Type[max_grass1]
#constant max_grass1=10

global bomb as bomb1Type[100]

bctomenu:

playPrologue()


spring_down=loadimage("springboardDown.png")
for y=0 to riadky-1
	for x=0 to stlpce-1
		sprite=y*100+x+1
		if getspriteexists(sprite)
			image_id=getspriteimageid(sprite)
			if getimagefilename(image_id)="tiles/interactives/springboardUp.png"
				AddSpriteAnimationFrame(sprite,spring_down)
			endif
		endif
	next
next
zoom#=1
do
	//level=1
	coins=0
	lives=3
	gameover=0
	bckmenu=0
	retry=0	
	if level=1 or level=0
		
		ducking=0

		bg=loadsprite("bg.png")
		setspritesize(bg,10000,10000)
		setspriteposition(bg,-1000,-500)
		setspritephysicsoff(bg)
		loadLevel("actualLevel1")
		flag=loadsprite("flagBlueHanging.png")
		setspriteposition(flag,3080,280)
		flag_up=loadimage("flagBlue.png")
		//tester_r=loadsprite("tester_r.png")
		//tester_l=clonesprite(tester_r)
		tester=loadsprite("tester.png")
		setspritesize(tester,45,1)
		tester_up=clonesprite(tester)
		setspritevisible(tester,0)
		setspritevisible(tester_up,0)
		hud_coins=LoadSprite("hud_coins.png")
		setspriteposition(hud_coins,0,50)
		fixspritetoscreen(hud_coins,1)
		setspritesize(hud_coins,35,35)
		coin_txt=createtext(":")
		settextposition(coin_txt,40,50)
		settextcolor(coin_txt,0,0,0,255)
		settextsize(coin_txt,35)
		FixTextToScreen(coin_txt,1)
		heart=loadsprite("hud_heartFull.png")
		heart2=CloneSprite(heart)
		heart3=clonesprite(heart)
		setspritesize(heart,43,35)
		setspritesize(heart2,43,35)
		setspritesize(heart3,43,35)
		heartHalf=loadimage("hud_heartHalf.png")
		heartEmpty=loadimage("hud_heartEmpty.png")
		setspriteposition(heart,50,10)
		setspriteposition(heart2,93,10)
		setspriteposition(heart3,136,10)
		fixspritetoscreen(heart,1)
		fixspritetoscreen(heart2,1)
		fixspritetoscreen(heart3,1)
		text_move=texts("move with WSAD-default,",100,100,0,0,0,50,font2)
		text_move2=texts("arrows-you can choose in settings",100,200,0,0,0,50,font2)
		text_jump=texts("Use SPACE to jump",550,100,0,0,0,50,font2)
		text_duck=texts("Use SHIFT to duck",1100,100,0,0,0,50,font2)
		text_tocomplete=texts("Touch Flag to complete",2900,100,0,0,0,50,font2)

		
		
			
		if char=1
			p1_stand=loadsprite("p1_stand.png")
			hud_p1=loadsprite("hud_p1Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p1_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p1_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p1_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif

		if char=2
			p1_stand=loadsprite("p2_stand.png")
			hud_p1=loadsprite("hud_p2Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p2_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p2_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p2_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
			
		endif

		if char=3
			p1_stand=loadsprite("p3_stand.png")
			hud_p1=loadsprite("hud_p3Alt.png")
			for anim=1 to 11
				addspriteanimationframe(p1_stand,loadimage("p3_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p3_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p3_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif
		
		//counters()
		//tester=loadsprite("tester.png")
		//setspritesize(tester,60,1)

		//playsprite(p1_stand,5,1,1,11)
		setspritephysicson(p1_stand,2)
		SetSpritePhysicsCanRotate(p1_stand,0)
		setspriteshape(p1_stand,3)
		xp=getspriteX(p1_stand)
		yp=getspriteY(p1_stand)
		SetSpritePosition(p1_stand,xp,yp)	
		setspritesize(hud_p1,40,40)
		SetSpritePosition(hud_p1,0,5)
		fixspritetoscreen(hud_p1,1)
		setspritesize(hud_p1,40,40)
		//px=getspriteX(p1_stand)
		//py=getspritey(p1_stand)
		
	// play()

		//collision_detections()
		
		yym=random(1,5)
		/*

		for bmb=1 to 5
			bomb[bmb].sprite=loadsprite("bomb.png")
			setspritephysicson(bomb[bmb].sprite,2)
			SetSpritePhysicsCanRotate(bomb[bmb].sprite,0)
			bomb[bmb].x=random(200,3000)
			bomb[bmb].y=-300
			SetSpritePosition(bomb[bmb].sprite,bomb[bmb].x,bomb[bmb].y)
			ym=ym+yym
			if getspritecollision(bomb[bmb].sprite,sprite)
				SetSpritePosition(bomb[bmb].sprite,bomb[bmb].x,bomb[bmb].y)
			endif

		next 
		*/


		repeat
			settextstring(coin_txt,str(coins,1))
			//print(jump)
			xp=getspriteX(p1_stand)
			yp=getspriteY(p1_stand)
			//setspriteposition(tester_r,xp-5,yp)
			//SetSpritePosition(tester_l,xp+70,yp)
			setspriteposition(tester,xp+20,yp+92)
			setspriteposition(tester_up,xp,yp+21)
			/*
			if getspritecollision(p1_stand,sprite)
				jmp=0
			endif
			*/
			//setspritephysicson(sprite,1)
			//print(GetWritePath())
			/*
			setspriteposition(tester_l,xp,yp)
			SetSpritePosition(tester_r,xp+66,yp)
			setspritephysicson(tester_l,2)
			setspritephysicson(tester_r,2)
			*/
			
			
			SetViewOffset(getspriteX(p1_stand)-427, getspriteY(p1_stand)-240)
			//SetViewOffset(xp-427,yp-240)
			/*if GetViewOffsetX()>7000-854 then SetViewOffset(7000-854,GetViewOffsetY())
			if GetViewOffsetX()<0 then SetViewOffset(0,GetViewOffsetY())
			if GetViewOffsetY()>5000-480 then SetViewOffset(GetViewOffsetX(),5000-480)
			if GetViewOffsetY()<0 then SetViewOffset(GetViewOffsetX(),0)*/
			
			
			//setspriteposition(tester,xp,yp+100)
			move=0
			if pick=1
				if getrawkeystate(68)  //and collision_right=0
					move=1
					if xp<70*100 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if GetSpritePlaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,20,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeyState(65) //and collision_right=0
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,10,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1 and c_up=0
					playsprite(p1_stand,1,1,12,12)
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			
			if pick=2
				if GetRawKeyState(39)
					move=1
					if xp<25*70 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				else
					StopSprite(p1_stand)
				endif
				if getrawkeystate(37)
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1
					playsprite(p1_stand,1,1,12,12)
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			if move=0
				stopsprite(p1_stand)
			endif
			
			if getspritecollision(p1_stand,flag)
				setspriteimage(flag,flag_up)
				level=level+1
			endif
			/*
			if getspritecollision(p1_stand,bomb[bmb].sprite)
				lives=lives-0.5
				xp=100
				yp=100
				setspriteposition(p1_stand,xp,yp)
			endif
			*/
			if lives=2.5
				setspriteimage(heart3,heartHalf)
			endif
			if lives<2.5
				setspriteimage(heart3,heartEmpty)
			endif
			if lives=1.5
				setspriteimage(heart2,heartHalf)
			endif
			if lives<1.5
				setspriteimage(heart2,heartEmpty)
			endif
			if lives=0.5
				setspriteimage(heart,heartHalf)
			endif
			if lives<0.5
				setspriteimage(heart,heartEmpty)
				gameover=1
			endif
				
				
			jump=0
			c_up=0
			for y=0 to riadky-1
				for x=0 to stlpce-1
					sprite=y*100+x+1
					
						
					if getspriteexists(sprite)
						if /*GetSpriteCollision(p1_stand,sprite) or*/ getspritecollision(tester,sprite)
							img_id=GetSpriteImageID(sprite)
							//message(Getimagefilename(img_id))
							//end
							if getimagefilename(img_id)="tiles/interactives/spikes.png"
								setspriteshape(sprite,3)
								xp=100
								yp=100
								setspriteposition(p1_stand,xp,yp)
								lives=lives-1
							endif
						endif
						if getspritecollision(p1_stand,sprite) or getspritecollision(tester,sprite)
							img_id2=GetSpriteImageID(sprite)
							if getimagefilename(img_id2)="tiles/dirt grass blocks/grassHillLeft.png" or getimagefilename(img_id2)="tiles/dirt grass block/grassHillLeft2.png" 
								//setspriteangle(p1_stand,320) 
								SetPhysicsGravity(0,10)
							//else
								//setspriteangle(p1_stand,0)
								//print(getimagefilename(img_id2))
							endif
						endif

						if getspritecollision(p1_stand,sprite) or getspritecollision(tester,sprite)
							img_id3=getspriteimageId(sprite)
							if getimagefilename(img_id3)="tiles/collectibles/coinGold.png"
								setspritephysicsoff(sprite)
								coins=coins+1
								setspriteposition(sprite,-100000,-100000)
							endif
							if getimagefilename(img_id3)="tiles/collectibles/coinSilver.png"
								setspritephysicsoff(sprite)
								coins=coins+0.5
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id3)="tiles/collectibles/coinBronze.png"
								setspritephysicsoff(sprite)
								coins=coins+0.1
								setspriteposition(sprite,-100000,-100000)
							endif
						endif
						if GetSpriteCollision(tester,sprite)
							jump=1
						endif
						if GetSpriteCollision(tester_up,sprite)
							c_up=1
						endif
					endif
					
				next
			next

				

			
			/*
			collision=0
			for x=0 to stlpce
				for y=0 to riadky
					sprite=y*100+x+1
					if getspriteexists(sprite) 	
						if getspritecollision(tester,sprite) then collision=1
					endif
				next
			next
			*/
			/*
			if collision=1 and getrawkeystate(32)
			jumpcounter=60
			
			if jumpcounter>0
				dec jumpcounter
				dec yp,3
			endif
			if getspritecollision(tester,sprite)
				yp=yp+1
			endif
			*/
				
			
			Sync()
			
		until level=2 or gameover=1
		DeleteAllSprites()
		DeleteAllImages()
		deletealltext()
		if gameover=1
			gameOver()
		endif
		if bckmenu=1
			goto bctomenu
			xo=0
			yo=0
			SetViewOffset(xo,yo)
		endif

	endif



	if level=2
		bg=loadsprite("bg.png")
		setspritesize(bg,10000,10000)
		setspriteposition(bg,-1000,-500)
		setspritephysicsoff(bg)
		/*bg_castle=loadsprite("bg_castle.png")
		setspritesize(bg_castle,1470,10000)
		setspriteposition(bg_castle,840,-500)*/
		loadlevel("actualLevel2")
		tester=loadsprite("tester.png")
		setspritesize(tester,30,1)
		tester_up=clonesprite(tester)
		setspritevisible(tester,0)
		setspritevisible(tester_up,0)
		hud_coins=LoadSprite("hud_coins.png")
		setspriteposition(hud_coins,0,50)
		fixspritetoscreen(hud_coins,1)
		setspritesize(hud_coins,35,35)
		coin_txt=createtext(":")
		settextposition(coin_txt,40,50)
		settextcolor(coin_txt,0,0,0,255)
		settextsize(coin_txt,35)
		FixTextToScreen(coin_txt,1)
		flag=loadsprite("flagBlueHanging.png")
		setspriteposition(flag,4830,490)
		flag_up=loadimage("flagBlue.png")
		heart=loadsprite("hud_heartFull.png")
		heart2=CloneSprite(heart)
		heart3=clonesprite(heart)
		setspritesize(heart,43,35)
		setspritesize(heart2,43,35)
		setspritesize(heart3,43,35)
		heartHalf=loadimage("hud_heartHalf.png")
		heartEmpty=loadimage("hud_heartEmpty.png")
		setspriteposition(heart,50,10)
		setspriteposition(heart2,93,10)
		setspriteposition(heart3,136,10)
		fixspritetoscreen(heart,1)
		fixspritetoscreen(heart2,1)
		fixspritetoscreen(heart3,1)
		text_bounce=texts("Drop down and bounce up",900,75,0,0,0,50,font2)
		text_careful=texts("!spikes at the bottom",1700,275,0,0,0,50,font2) 
		text_death=texts("Fall down = death",3500,300,0,0,0,50,font2)
		
		
		
		if char=1
			p1_stand=loadsprite("p1_stand.png")
			hud_p1=loadsprite("hud_p1Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p1_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p1_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p1_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif

		if char=2
			p1_stand=loadsprite("p2_stand.png")
			hud_p1=loadsprite("hud_p2Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p2_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p2_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p2_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
			
		endif

		if char=3
			p1_stand=loadsprite("p3_stand.png")
			hud_p1=loadsprite("hud_p3Alt.png")
			for anim=1 to 11
				addspriteanimationframe(p1_stand,loadimage("p3_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p3_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p3_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif
		
		//playsprite(p1_stand,5,1,1,11)
		setspritephysicson(p1_stand,2)
		SetSpritePhysicsCanRotate(p1_stand,0)
		setspriteshape(p1_stand,3)
		xp=getspriteX(p1_stand)
		yp=getspriteY(p1_stand)
		SetSpritePosition(p1_stand,xp,yp)	
		setspriteposition(hud_p1,0,5)
		fixspritetoscreen(hud_p1,1)
		setspritesize(hud_p1,40,40)

		
		repeat
			settextstring(coin_txt,str(coins,1))
			xp=getspriteX(p1_stand)
			yp=getspriteY(p1_stand)
			setspriteposition(tester,xp+20,yp+92)
			setspriteposition(tester_up,xp,yp+21)
			
			SetViewOffset(getspriteX(p1_stand)-427, getspriteY(p1_stand)-240)
			
			move=0
			if pick=1
				if getrawkeystate(68)  //and collision_right=0
					move=1
					if xp<70*100 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if GetSpritePlaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeyState(65) //and collision_right=0
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1 
					playsprite(p1_stand,1,1,12,12) 
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,12
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			
			if pick=2
				if GetRawKeyState(39)
					move=1
					if xp<25*70 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				else
					StopSprite(p1_stand)
				endif
				if getrawkeystate(37)
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1
					playsprite(p1_stand,1,1,12,12)
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			if move=0
				stopsprite(p1_stand)
			endif
			
			if getspritecollision(p1_stand,flag)
				setspriteimage(flag,flag_up)
				level=level+1
			endif
			
			if lives=2.5
				setspriteimage(heart3,heartHalf)
			endif
			if lives<2.5
				setspriteimage(heart3,heartEmpty)
			endif
			if lives=1.5
				setspriteimage(heart2,heartHalf)
			endif
			if lives<1.5
				setspriteimage(heart2,heartEmpty)
			endif
			if lives=0.5
				setspriteimage(heart,heartHalf)
			endif
			if lives<0.5
				setspriteimage(heart,heartEmpty)
				gameover=1
			endif
				
			
			jump=0
			c_up=0
			for y=0 to riadky-1
				for x=0 to stlpce-1
					sprite=y*100+x+1
					
						
					if getspriteexists(sprite)
						if GetSpriteCollision(tester,sprite) /*or GetSpriteCollision(p1_stand,sprite)*/
							img_id=GetSpriteImageID(sprite)
							//message(Getimagefilename(img_id))
							//end
							if getimagefilename(img_id)="tiles/interactives/spikes.png"
								setspriteshape(sprite,3)
								xp=100
								yp=100
								setspriteposition(p1_stand,xp,yp)
								lives=lives-1
							endif
						endif
						if getspritecollision(p1_stand,sprite)
							img_id2=GetSpriteImageID(sprite)
							if getimagefilename(img_id2)="tiles/dirt grass blocks/grassHillLeft.png"
								//setspriteangle(p1_stand,320)
								SetPhysicsGravity(0,10)
							//else
								//setspriteangle(p1_stand,0)
							endif
						endif
						
						if GetSpriteCollision(tester,sprite)
							img_id3=GetSpriteImageID(sprite)
							if GetImageFilename(img_id3)="tiles/interactives/springboardUp.png"
								playsprite(p1_stand,1,1,12,12)
								jumpcounter=40
								playsprite(sprite,1,1,1,1)
							endif
						endif
						
						if GetSpriteCollision(p1_stand,sprite) or GetSpriteCollision(tester,sprite)
							img_id4=getspriteimageId(sprite)
							if getimagefilename(img_id4)="tiles/collectibles/coinSilver.png"
								setspritephysicsoff(sprite)
								coins=coins+0.5
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinGold.png"
								setspritephysicsoff(sprite)
								coins=coins+1
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinBronze.png"
								setspritephysicsoff(sprite)
								coins=coins+0.1
								setspriteposition(sprite,-100000,-100000)
							endif
						endif
		
						
						
						if GetSpriteCollision(tester,sprite)
							jump=1
						endif
						
						if GetSpriteCollision(tester_up,sprite)
							c_up=1
						endif
						
					endif
					
				next
			next

			sync()
		until level=3 or gameover=1
		deleteallsprites()
		deleteallimages()
		deletealltext()
		if gameover=1
			gameOver()
		endif
		if bckmenu=1
			goto bctomenu
			bckmenu=0
			xo=0
			yo=0
			SetViewOffset(xo,yo)
		endif
		if retry=1
			level=2
			retry=0
		endif
			
	endif

	if level=3
		//background
		bg=loadsprite("bg.png")
		setspritesize(bg,10000,10000)
		setspriteposition(bg,-1000,-500)
		setspritephysicsoff(bg)
		//levelLoader
		loadlevel("actualLevel3")
		//tester
		tester=loadsprite("tester.png")
		setspritesize(tester,30,1)
		tester_up=clonesprite(tester)
		setspritevisible(tester,0)
		setspritevisible(tester_up,0)
		//score
		hud_coins=LoadSprite("hud_coins.png")
		setspriteposition(hud_coins,0,50)
		fixspritetoscreen(hud_coins,1)
		setspritesize(hud_coins,35,35)
		coin_txt=createtext(":")
		settextposition(coin_txt,40,50)
		settextcolor(coin_txt,0,0,0,255)
		settextsize(coin_txt,35)
		FixTextToScreen(coin_txt,1)
		//flag
		flag=loadsprite("flagBlueHanging.png")
		setspriteposition(flag,4480,770)
		flag_up=loadimage("flagBlue.png")
		//hearts
		heart=loadsprite("hud_heartFull.png")
		heart2=CloneSprite(heart)
		heart3=clonesprite(heart)
		setspritesize(heart,43,35)
		setspritesize(heart2,43,35)
		setspritesize(heart3,43,35)
		heartHalf=loadimage("hud_heartHalf.png")
		heartEmpty=loadimage("hud_heartEmpty.png")
		setspriteposition(heart,50,10)
		setspriteposition(heart2,93,10)
		setspriteposition(heart3,136,10)
		fixspritetoscreen(heart,1)
		fixspritetoscreen(heart2,1)
		fixspritetoscreen(heart3,1)
		
			
		if char=1
			p1_stand=loadsprite("p1_stand.png")
			hud_p1=loadsprite("hud_p1Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p1_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p1_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p1_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif

		if char=2
			p1_stand=loadsprite("p2_stand.png")
			hud_p1=loadsprite("hud_p2Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p2_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p2_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p2_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
			
		endif

		if char=3
			p1_stand=loadsprite("p3_stand.png")
			hud_p1=loadsprite("hud_p3Alt.png")
			for anim=1 to 11
				addspriteanimationframe(p1_stand,loadimage("p3_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p3_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p3_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif
		xp=0
		yp=1200
		//playsprite(p1_stand,5,1,1,11)
		setspritephysicson(p1_stand,2)
		SetSpritePhysicsCanRotate(p1_stand,0)
		setspriteshape(p1_stand,3)
		xp=getspriteX(p1_stand)
		yp=getspriteY(p1_stand)
		SetSpritePosition(p1_stand,xp,yp)	
		setspriteposition(hud_p1,0,5)
		fixspritetoscreen(hud_p1,1)
		setspritesize(hud_p1,40,40)
		
		repeat
			settextstring(coin_txt,str(coins,1))
			xp=getspriteX(p1_stand)
			yp=getspriteY(p1_stand)
			setspriteposition(tester,xp+20,yp+92)
			setspriteposition(tester_up,xp,yp+21)
			
			SetViewOffset(getspriteX(p1_stand)-427, getspriteY(p1_stand)-240)
			
			move=0
			if pick=1
				if getrawkeystate(68)  //and collision_right=0
					move=1
					if xp<70*100 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if GetSpritePlaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeyState(65) //and collision_right=0
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1 
					playsprite(p1_stand,1,1,12,12) 
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,12
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			
			if pick=2
				if GetRawKeyState(39)
					move=1
					if xp<25*70 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				else
					StopSprite(p1_stand)
				endif
				if getrawkeystate(37)
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1
					playsprite(p1_stand,1,1,12,12)
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			if move=0
				stopsprite(p1_stand)
			endif
			
			if getspritecollision(p1_stand,flag)
				setspriteimage(flag,flag_up)
				level=level+1
			endif
			
			if lives=2.5
				setspriteimage(heart3,heartHalf)
			endif
			if lives<2.5
				setspriteimage(heart3,heartEmpty)
			endif
			if lives=1.5
				setspriteimage(heart2,heartHalf)
			endif
			if lives<1.5
				setspriteimage(heart2,heartEmpty)
			endif
			if lives=0.5
				setspriteimage(heart,heartHalf)
			endif
			if lives<0.5
				setspriteimage(heart,heartEmpty)
				gameover=1
			endif
			
			
			jump=0
			c_up=0
			for y=0 to riadky-1
				for x=0 to stlpce-1
					sprite=y*100+x+1
					
						
					if getspriteexists(sprite)
						if GetSpriteCollision(tester,sprite) //or GetSpriteCollision(p1_stand,sprite)
							img_id=GetSpriteImageID(sprite)
							//message(Getimagefilename(img_id))
							//end
							if getimagefilename(img_id)="tiles/interactives/spikes.png"
								setspriteshape(sprite,3)
								xp=100
								yp=100
								setspriteposition(p1_stand,xp,yp)
								lives=lives-1
							endif
						endif
						if getspritecollision(p1_stand,sprite)
							img_id2=GetSpriteImageID(sprite)
							if getimagefilename(img_id2)="tiles/dirt grass blocks/grassHillLeft.png"
								//setspriteangle(p1_stand,320)
								SetPhysicsGravity(0,10)
							//else
								//setspriteangle(p1_stand,0)
							endif
						endif
						
						if GetSpriteCollision(tester,sprite)
							img_id3=GetSpriteImageID(sprite)
							if GetImageFilename(img_id3)="tiles/interactives/springboardUp.png"
								playsprite(p1_stand,1,1,12,12)
								jumpcounter=40
								playsprite(sprite,1,1,1,1)
							endif
						endif
						
						if GetSpriteCollision(p1_stand,sprite) or GetSpriteCollision(tester,sprite)
							img_id4=getspriteimageId(sprite)
							if getimagefilename(img_id4)="tiles/collectibles/coinSilver.png"
								setspritephysicsoff(sprite)
								coins=coins+0.5
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinGold.png"
								setspritephysicsoff(sprite)
								coins=coins+1
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinBronze.png"
								setspritephysicsoff(sprite)
								coins=coins+0.1
								setspriteposition(sprite,-100000,-100000)
							endif
						endif
		
						
						
						if GetSpriteCollision(tester,sprite)
							jump=1
						endif
						
						if GetSpriteCollision(tester_up,sprite)
							c_up=1
						endif
						
					endif
					
				next
			next
			
			sync()
		until level=4
		deleteallsprites()
		deletealltext()
		DeleteAllImages()
		if gameover=1
			gameOver()
		endif
		if bckmenu=1
			goto bctomenu
			bckmenu=0
			xo=0
			yo=0
			SetViewOffset(xo,yo)
		endif
		if retry=1
			level=3
			retry=0
		endif
			
		
		
	endif
	
	if level=4
		bg=loadsprite("bg.png")
		setspritesize(bg,10000,10000)
		setspriteposition(bg,-1000,-500)
		setspritephysicsoff(bg)
		
		bg_castle=loadsprite("bg_castle.png")
		setspritesize(bg_castle,3500,10000)
		setspriteposition(bg_castle,-560,490)
		setspritephysicsoff(bg_castle)
		setspritecolor(bg_castle,84,85,85,255)
		bg_castle2=clonesprite(bg_castle)
		setspritesize(bg_castle,24*70,10000)
		setspriteposition(bg_castle,2870,490)
		setspritephysicsoff(bg_castle)
		setspritecolor(bg_castle,84,85,85,255)
		bg_castle3=clonesprite(bg_castle)
		setspritesize(bg_castle3,25*70,10000)
		setspriteposition(bg_castle3,4970,1050)
		setspritephysicsoff(bg_castle3)
		setspritecolor(bg_castle3,84,85,85,255)
		bg_castle4=clonesprite(bg_castle)
		setspritesize(bg_castle4,6*70,10000)
		setspriteposition(bg_castle4,4970-420,700)
		setspritephysicsoff(bg_castle4)
		setspritecolor(bg_castle4,84,85,85,255)
		
		//setspritesize(bg_castle2,
		loadlevel("actualLevel4")
		tester=loadsprite("tester.png")
		setspritesize(tester,30,1)
		tester_up=clonesprite(tester)
		setspritevisible(tester,0)
		setspritevisible(tester_up,0)
		hud_coins=LoadSprite("hud_coins.png")
		setspriteposition(hud_coins,0,50)
		fixspritetoscreen(hud_coins,1)
		setspritesize(hud_coins,35,35)
		coin_txt=createtext(":")
		settextposition(coin_txt,40,50)
		settextcolor(coin_txt,73,73,74,255)
		settextsize(coin_txt,35)
		FixTextToScreen(coin_txt,1)
		flag=loadsprite("flagBlueHanging.png")
		setspriteposition(flag,0,140)
		flag_up=loadimage("flagBlue.png")
		heart=loadsprite("hud_heartFull.png")
		heart2=CloneSprite(heart)
		heart3=clonesprite(heart)
		setspritesize(heart,43,35)
		setspritesize(heart2,43,35)
		setspritesize(heart3,43,35)
		heartHalf=loadimage("hud_heartHalf.png")
		heartEmpty=loadimage("hud_heartEmpty.png")
		setspriteposition(heart,50,10)
		setspriteposition(heart2,93,10)
		setspriteposition(heart3,136,10)
		fixspritetoscreen(heart,1)
		fixspritetoscreen(heart2,1)
		fixspritetoscreen(heart3,1)
		
		
		
		
		if char=1
			p1_stand=loadsprite("p1_stand.png")
			hud_p1=loadsprite("hud_p1Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p1_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p1_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p1_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif

		if char=2
			p1_stand=loadsprite("p2_stand.png")
			hud_p1=loadsprite("hud_p2Alt.png")
			for anim=1 to 11
				AddSpriteAnimationFrame(p1_stand,loadimage("p2_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p2_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p2_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
			
		endif

		if char=3
			p1_stand=loadsprite("p3_stand.png")
			hud_p1=loadsprite("hud_p3Alt.png")
			for anim=1 to 11
				addspriteanimationframe(p1_stand,loadimage("p3_walk"+str(anim)+".png"))
			next
			p1_jump=loadimage("p3_jump.png")
			addspriteanimationframe(p1_stand,p1_jump)
			p1_duck=loadimage("p3_ducking.png")
			AddSpriteAnimationFrame(p1_stand,p1_duck)
		endif
		
		//playsprite(p1_stand,5,1,1,11)
		setspritephysicson(p1_stand,2)
		SetSpritePhysicsCanRotate(p1_stand,0)
		setspriteshape(p1_stand,3)
		xp=10
		yp=70*13
		//xp=100
		//yp=0
		SetSpritePosition(p1_stand,xp,yp)	
		setspriteposition(hud_p1,0,5)
		fixspritetoscreen(hud_p1,1)
		setspritesize(hud_p1,40,40)
		xp=getspriteX(p1_stand)
		yp=getspriteY(p1_stand)
		repeat
			/*
			setviewzoom(zoom#)
			//zoom#=zoom#+0.001
			if getrawmousewheel()>wheel 
				inc zoom#, 0.1
				wheel=getrawmousewheel()
			endif
			if getrawmousewheel()<wheel 
				dec zoom#, 0.1
				wheel=getrawmousewheel()
			endif
			*/
			settextstring(coin_txt,str(coins,1))
			xp=getspriteX(p1_stand)
			yp=getspriteY(p1_stand)
			setspriteposition(tester,xp+20,yp+92)
			setspriteposition(tester_up,xp,yp+21)
			
			SetViewOffset(getspriteX(p1_stand)-427, getspriteY(p1_stand)-240)
			
			move=0
			if pick=1
				if getrawkeystate(68)  //and collision_right=0
					move=1
					if xp<70*100 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if GetSpritePlaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeyState(65) //and collision_right=0
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1 
					playsprite(p1_stand,1,1,12,12) 
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			
			if pick=2
				if GetRawKeyState(39)
					move=1
					if xp<25*70 then xp=xp+movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,0,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				else
					StopSprite(p1_stand)
				endif
				if getrawkeystate(37)
					move=1
					if xp>0 then xp=xp-movementspeed
					setspriteX(p1_stand,xp)
					setspriteflip(p1_stand,1,0)
					if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
					setspriteshape(p1_stand,3)
				endif
				if GetRawKeystate(32) and jump=1
					playsprite(p1_stand,1,1,12,12)
					//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
					jumpcounter=25
				endif
				if jumpcounter>0
					setphysicsgravity(0,4000)
					dec jumpcounter 
					dec yp,10
					setspriteposition(p1_stand,xp,yp)
				else
					SetPhysicsGravity(0,40000)
				endif
				if getrawkeystate(16)
					setspriteshape(p1_stand,3)
					setspritex(p1_stand,xp)
					playsprite(p1_stand,5,1,13,13)
				endif
			endif
			if move=0
				stopsprite(p1_stand)
			endif
			
			if getspritecollision(p1_stand,flag)
				setspriteimage(flag,flag_up)
				level=level+1
			endif
			
					if lives=2.5
				setspriteimage(heart3,heartHalf)
			endif
			if lives<2.5
				setspriteimage(heart3,heartEmpty)
			endif
			if lives=1.5
				setspriteimage(heart2,heartHalf)
			endif
			if lives<1.5
				setspriteimage(heart2,heartEmpty)
			endif
			if lives=0.5
				setspriteimage(heart,heartHalf)
			endif
			if lives<0.5
				setspriteimage(heart,heartEmpty)
				gameover=1
			endif
			
			jump=0
			c_up=0
			for y=0 to riadky-1
				for x=0 to stlpce-1
					sprite=y*100+x+1
					
						
					if getspriteexists(sprite)
						if GetSpriteCollision(tester,sprite) or GetSpriteCollision(p1_stand,sprite)
							img_id=GetSpriteImageID(sprite)
							//message(Getimagefilename(img_id))
							//end
							if getimagefilename(img_id)="tiles/interactives/spikes.png"
								setspriteshape(sprite,3)
								lives=lives-1
								xp=0
								yp=13*70
								setspriteposition(p1_stand,xp,yp)
							endif
							if GetImageFilename(img_id)="tiles/interactives/spikes2.png"
								setspriteshape(sprite,3)
								lives=lives-1
								xp=0
								yp=13*70
								setspriteposition(p1_stand,xp,yp)
							endif
							if GetImageFilename(img_id)="tiles/interactives/spikes3.png"
								setspriteshape(sprite,3)
								lives=lives-1
								xp=0
								yp=13*70
								setspriteposition(p1_stand,xp,yp)
							endif
							if GetImageFilename(img_id)="tiles/interactives/spikes4.png"
								setspriteshape(sprite,3)
								lives=lives-1
								xp=0
								yp=13*70
								setspriteposition(p1_stand,xp,yp)
							endif
							if getimagefilename(img_id)="tiles/interactives/liquidLavaTop_mid.png"
								setspriteshape(sprite,3)
								lives=lives-1
								xp=0
								yp=13*70
								setspriteposition(p1_stand,xp,yp)
							endif		
						endif
						if getspritecollision(p1_stand,sprite)
							img_id2=GetSpriteImageID(sprite)
							if getimagefilename(img_id2)="tiles/dirt grass blocks/grassHillLeft.png"
								//setspriteangle(p1_stand,320)
								SetPhysicsGravity(0,10)
							//else
								//setspriteangle(p1_stand,0)
							endif
						endif
						
						if GetSpriteCollision(tester,sprite)
							img_id3=GetSpriteImageID(sprite)
							if GetImageFilename(img_id3)="tiles/interactives/springboardUp.png"
								playsprite(p1_stand,1,1,12,12)
								jumpcounter=40
								playsprite(sprite,1,1,1,1)
							endif
						endif
						
						if GetSpriteCollision(p1_stand,sprite) or GetSpriteCollision(tester,sprite)
							img_id4=getspriteimageId(sprite)
							if getimagefilename(img_id4)="tiles/collectibles/coinSilver.png"
								setspritephysicsoff(sprite)
								coins=coins+0.5
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinGold.png"
								setspritephysicsoff(sprite)
								coins=coins+1
								setspriteposition(sprite,-100000,-100000)
							endif
							if GetImageFilename(img_id4)="tiles/collectibles/coinBronze.png"
								setspritephysicsoff(sprite)
								coins=coins+0.1
								setspriteposition(sprite,-100000,-100000)
							endif
						endif
						img_id5=GetSpriteImageID(sprite)
						if GetImageFilename(img_id5)="tiles/misc/rock.png"
							setspritephysicsoff(sprite)
						endif
						if GetImageFilename(img_id5)="tiles/misc/mushroomRed.png" or getimagefilename(img_id5)="tiles/misc/mushroomBrown2.png"
							setspritephysicsoff(sprite)
						endif
						if GetImageFilename(img_id5)="tiles/misc/mushroomRed2.png"
							setspritephysicsoff(sprite)
						endif
						if getimagefilename(img_id5)="tiles/misc/chain.png" 
							setspritephysicsoff(sprite)
						endif
						if getimagefilename(img_id5)="tiles/misc/fence.png" or getimagefilename(img_id5)="tiles/misc/fenceBroken.png"
							setspritephysicsoff(sprite)
						endif
						
						
						if GetSpriteCollision(tester,sprite)
							jump=1
						endif
						
						if GetSpriteCollision(tester_up,sprite)
							c_up=1
						endif
					endif
					
				next
			next
			sync()
		until level=5 or gameover=1
		deleteallsprites()
		deletealltext()
		DeleteAllImages()
		if gameover=1
			gameOver()
		endif
		if retry=1
			level=4
			retry=0
		endif
		if level=5
			NOTE()
		endif
		if bckmenu=1
			goto bctomenu
			bckmenu=0
			xo=0
			yo=0
			SetViewOffset(xo,yo)
		endif

		
	endif
loop


/*
function play()
	if GetFileExists("level")
		file=opentoread("level")
		counter=0
		while FileEOF(file)=0
			x=readinteger(file)
			y=ReadInteger(file)
			playfield$[x,y]=ReadString(file)
			physics[x,y]=readinteger(file)
			//message(playfield$[x,y])
			//end
			if playfield$[x,y]<>""
				inc counter
				placed_tile=loadimage(playfield$[x,y])
				sprite=y*100+x+1
				sprite=createsprite(0)
				setspriteimage(sprite,placed_tile)
				setspriteposition(sprite,x*70,y*70)
				setspritesize(sprite,70,70)
				if physics[x,y] = 1 then SetSpritephysicson(sprite,1)
			endif
		endwhile
		closefile(file)

	endif
endfunction
*/

function gameOver()
	bg=loadsprite("bg_castle.png")
	FixSpriteToScreen(bg,1)
	setspritesize(bg,854,480)
	SetSpriteColorAlpha(bg,150)
	gmtext=texts("You died",300,0,0,0,0,150,font1)
	FixTextToScreen(gmtext,1)
	AddVirtualButton(90,300,250,150)
	SetVirtualButtonColor(90,0,250,250)
	AddVirtualButton(91,550,250,150)
	SetVirtualButtonColor(91,0,250,250)
	retry_text=texts("Retry",230,200,0,0,0,75,font2)
	menu_text=texts("Menu",500,200,0,0,0,75,font2)
	FixTextToScreen(retry_text,1)
	FixTextToScreen(menu_text,1)
	repeat
		if GetVirtualButtonPressed(90)
			retry=1
		endif
		if GetVirtualButtonPressed(91)
			bckmenu=1
		endif
		sync()
	until retry=1 or bckmenu=1
	deleteallsprites()
	DeleteAllText()
	DeleteVirtualButton(90)
	DeleteVirtualButton(91)
		
endfunction

function NOTE()
	bg=loadsprite("bg_castle.png")
	FixSpriteToScreen(bg,1)
	setspritesize(bg,854,480)
	SetSpriteColorAlpha(bg,150)
	text_more=texts("More levels will be added soon - ITVeVe",0,50,0,0,0,75,font3)
	FixTextToScreen(text_more,1)
	AddVirtualButton(90,427,250,150)
	SetVirtualButtonColor(90,0,250,250)
	menu_text=texts("Menu",370,200,0,0,0,75,font2)
	FixTextToScreen(menu_text,1)
	repeat
		if GetVirtualButtonPressed(90)
			bckmenu=1
		endif
		sync()
	until bckmenu=1
	deleteallsprites()
	deletealltext()
	DeleteVirtualButton(90)
	DeleteVirtualButton(91)
endfunction




//level template
/*

if level=2
	bg=loadsprite("bg.png")
	setspritesize(bg,10000,10000)
	setspriteposition(bg,-1000,-500)
	setspritephysicsoff(bg)
	*/
	/*bg_castle=loadsprite("bg_castle.png")
	setspritesize(bg_castle,1470,10000)
	setspriteposition(bg_castle,840,-500)*/
	/*loadlevel("actualLevel-")
	tester=loadsprite("tester.png")
	setspritesize(tester,30,1)
	tester_up=clonesprite(tester)
	hud_coins=LoadSprite("hud_coins.png")
	setspriteposition(hud_coins,0,50)
	fixspritetoscreen(hud_coins,1)
	setspritesize(hud_coins,35,35)
	coin_txt=createtext(":")
	settextposition(coin_txt,40,50)
	settextcolor(coin_txt,0,0,0,255)
	settextsize(coin_txt,35)
	FixTextToScreen(coin_txt,1)
	flag=loadsprite("flagBlueHanging.png")
	setspriteposition(flag,-,-)
	flag_up=loadimage("flagBlue.png")
	heart=loadsprite("hud_heartFull.png")
	heart2=CloneSprite(heart)
	heart3=clonesprite(heart)
	setspritesize(heart,43,35)
	setspritesize(heart2,43,35)
	setspritesize(heart3,43,35)
	heartHalf=loadimage("hud_heartHalf.png")
	heartEmpty=loadimage("hud_heartEmpty.png")
	setspriteposition(heart,50,10)
	setspriteposition(heart2,93,10)
	setspriteposition(heart3,136,10)
	fixspritetoscreen(heart,1)
	fixspritetoscreen(heart2,1)
	fixspritetoscreen(heart3,1)
	
	
	
	
	if char=1
		p1_stand=loadsprite("p1_stand.png")
		hud_p1=loadsprite("hud_p1Alt.png")
		for anim=1 to 11
			AddSpriteAnimationFrame(p1_stand,loadimage("p1_walk"+str(anim)+".png"))
		next
		p1_jump=loadimage("p1_jump.png")
		addspriteanimationframe(p1_stand,p1_jump)
		p1_duck=loadimage("p1_ducking.png")
		AddSpriteAnimationFrame(p1_stand,p1_duck)
	endif

	if char=2
		p1_stand=loadsprite("p2_stand.png")
		hud_p1=loadsprite("hud_p2Alt.png")
		for anim=1 to 11
			AddSpriteAnimationFrame(p1_stand,loadimage("p2_walk"+str(anim)+".png"))
		next
		p1_jump=loadimage("p2_jump.png")
		addspriteanimationframe(p1_stand,p1_jump)
		p1_duck=loadimage("p2_ducking.png")
		AddSpriteAnimationFrame(p1_stand,p1_duck)
		
	endif

	if char=3
		p1_stand=loadsprite("p3_stand.png")
		hud_p1=loadsprite("hud_p3Alt.png")
		for anim=1 to 11
			addspriteanimationframe(p1_stand,loadimage("p3_walk"+str(anim)+".png"))
		next
		p1_jump=loadimage("p3_jump.png")
		addspriteanimationframe(p1_stand,p1_jump)
		p1_duck=loadimage("p3_ducking.png")
		AddSpriteAnimationFrame(p1_stand,p1_duck)
	endif
	
	//playsprite(p1_stand,5,1,1,11)
	setspritephysicson(p1_stand,2)
	SetSpritePhysicsCanRotate(p1_stand,0)
	setspriteshape(p1_stand,3)
	xp=getspriteX(p1_stand)
	yp=getspriteY(p1_stand)
	SetSpritePosition(p1_stand,xp,yp)	
	setspriteposition(hud_p1,0,5)
	fixspritetoscreen(hud_p1,1)
	setspritesize(hud_p1,40,40)

	
	repeat
		settextstring(coin_txt,str(coins,1))
		xp=getspriteX(p1_stand)
		yp=getspriteY(p1_stand)
		setspriteposition(tester,xp+20,yp+92)
		setspriteposition(tester_up,xp,yp+21)
		
		SetViewOffset(getspriteX(p1_stand)-427, getspriteY(p1_stand)-240)
		
		move=0
		if pick=1
			if getrawkeystate(68)  //and collision_right=0
				move=1
				if xp<70*100 then xp=xp+movementspeed
				setspriteX(p1_stand,xp)
				setspriteflip(p1_stand,0,0)
				if GetSpritePlaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
				setspriteshape(p1_stand,3)
			endif
			if GetRawKeyState(65) //and collision_right=0
				move=1
				if xp>0 then xp=xp-movementspeed
				setspriteX(p1_stand,xp)
				setspriteflip(p1_stand,1,0)
				if getspriteplaying(p1_stand)=0 and c_up=0 then playsprite(p1_stand,7,5,1,11)
				setspriteshape(p1_stand,3)
			endif
			if GetRawKeystate(32) and jump=1 
				playsprite(p1_stand,1,1,12,12) 
				//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
				jumpcounter=25
			endif
			if jumpcounter>0
				setphysicsgravity(0,4000)
				dec jumpcounter 
				dec yp,12
				setspriteposition(p1_stand,xp,yp)
			else
				SetPhysicsGravity(0,40000)
			endif
			if getrawkeystate(16)
				setspriteshape(p1_stand,3)
				setspritex(p1_stand,xp)
				playsprite(p1_stand,5,1,13,13)
			endif
		endif
		
		if pick=2
			if GetRawKeyState(39)
				move=1
				if xp<25*70 then xp=xp+movementspeed
				setspriteX(p1_stand,xp)
				setspriteflip(p1_stand,0,0)
				if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
				setspriteshape(p1_stand,3)
			else
				StopSprite(p1_stand)
			endif
			if getrawkeystate(37)
				move=1
				if xp>0 then xp=xp-movementspeed
				setspriteX(p1_stand,xp)
				setspriteflip(p1_stand,1,0)
				if getspriteplaying(p1_stand)=0 then playsprite(p1_stand,5,5,1,11)
				setspriteshape(p1_stand,3)
			endif
			if GetRawKeystate(32) and jump=1
				playsprite(p1_stand,1,1,12,12)
				//setspritephysicsforce(p1_stand,GetSpriteXByOffset(p1_stand),GetSpriteYByOffset(p1_stand),0,-100000000000000)
				jumpcounter=25
			endif
			if jumpcounter>0
				setphysicsgravity(0,4000)
				dec jumpcounter 
				dec yp,10
				setspriteposition(p1_stand,xp,yp)
			else
				SetPhysicsGravity(0,40000)
			endif
			if getrawkeystate(16)
				setspriteshape(p1_stand,3)
				setspritex(p1_stand,xp)
				playsprite(p1_stand,5,1,13,13)
			endif
		endif
		if move=0
			stopsprite(p1_stand)
		endif
		
		if getspritecollision(p1_stand,flag)
			setspriteimage(flag,flag_up)
			level=level+1
		endif
		
				if lives=2.5
			setspriteimage(heart3,heartHalf)
		endif
		if lives<2.5
			setspriteimage(heart3,heartEmpty)
		endif
		if lives=1.5
			setspriteimage(heart2,heartHalf)
		endif
		if lives<1.5
			setspriteimage(heart2,heartEmpty)
		endif
		if lives=0.5
			setspriteimage(heart,heartHalf)
		endif
		if lives<0.5
			setspriteimage(heart,heartEmpty)
			gameover=1
		endif
		
		jump=0
		c_up=0
		for y=0 to riadky-1
			for x=0 to stlpce-1
				sprite=y*100+x+1
				
					
				if getspriteexists(sprite)
					if GetSpriteCollision(tester,sprite) or GetSpriteCollision(p1_stand,sprite)
						img_id=GetSpriteImageID(sprite)
						//message(Getimagefilename(img_id))
						//end
						if getimagefilename(img_id)="tiles/interactives/spikes.png"
							setspriteshape(sprite,3)
							lives=lives-1
							xp=100
							yp=100
							setspriteposition(p1_stand,xp,yp)
						endif
					endif
					if getspritecollision(p1_stand,sprite)
						img_id2=GetSpriteImageID(sprite)
						if getimagefilename(img_id2)="tiles/dirt grass blocks/grassHillLeft.png"
							//setspriteangle(p1_stand,320)
							SetPhysicsGravity(0,10)
						//else
							//setspriteangle(p1_stand,0)
						endif
					endif
					
					if GetSpriteCollision(tester,sprite)
						img_id3=GetSpriteImageID(sprite)
						if GetImageFilename(img_id3)="tiles/interactives/springboardUp.png"
							playsprite(p1_stand,1,1,12,12)
							jumpcounter=40
							playsprite(sprite,1,1,1,1)
						endif
					endif
					
					if GetSpriteCollision(p1_stand,sprite) or GetSpriteCollision(tester,sprite)
						img_id4=getspriteimageId(sprite)
						if getimagefilename(img_id4)="tiles/collectibles/coinSilver.png"
							setspritephysicsoff(sprite)
							coins=coins+0.5
							setspriteposition(sprite,-100000,-100000)
						endif
						if GetImageFilename(img_id4)="tiles/collectibles/coinGold.png"
							setspritephysicsoff(sprite)
							coins=coins+1
							setspriteposition(sprite,-100000,-100000)
						endif
						if GetImageFilename(img_id4)="tiles/collectibles/coinBronze.png"
							setspritephysicsoff(sprite)
							coins=coins+0.1
							setspriteposition(sprite,-100000,-100000)
						endif
					endif
	
					
					
					if GetSpriteCollision(tester,sprite)
						jump=1
					endif
					
					if GetSpriteCollision(tester_up,sprite)
						c_up=1
					endif
					
				endif
				
			next
		next

		sync()
	until level=3
	deleteallsprites()
	deleteallimages()
	deletealltext()
endif


*/
